Package org.jcsp.net

# Interface NetLabelledBufferedChannelEndFactory

All Known Implementing Classes:
  `StandardNetChannelEndFactory`, `UnacknowledgedNetChannelEndFactory`

public interface NetLabelledBufferedChannelEndFactory

This factory constructs buffered `NetChannelInput` objects which have labelled VCN's.

See `NetLabelledChannelEndFactory` for an explanation of labelled VCN's.

Author:
  Quickstone Technologies Limited

## Method Summary

Modifier and Type
Method
Description
`NetSharedChannelInput`
`createNet2Any(String label, ChannelDataStore buffer)`
Constructs a buffered `NetSharedChannelInput` which has a VCN assigned with the specified label.
`NetAltingChannelInput`
`createNet2One(String label, ChannelDataStore buffer)`
Constructs a buffered `NetAltingChannelInput` which has a VCN assigned with the specified label.

## Method Details

### createNet2One

NetAltingChannelInput createNet2One(String label, ChannelDataStore buffer)
Constructs a buffered `NetAltingChannelInput` which has a VCN assigned with the specified label.

Parameters:
  `label` - the label to apply to the channel's VCN.
  `buffer` - the `ChannelDataStore` to use.
Returns:
  the constructed `NetAltingChannelInput` object.

### createNet2Any

NetSharedChannelInput createNet2Any(String label, ChannelDataStore buffer)
Constructs a buffered `NetSharedChannelInput` which has a VCN assigned with the specified label.

Parameters:
  `label` - the label to apply to the channel's VCN.
  `buffer` - the `ChannelDataStore` to use.
Returns:
  the constructed `NetSharedChannelInput` object.